Create file(s)

Adds one or more files in a Drawer (sidedrawer) and Folder (record) using the Drawer identifier (sidedrawerId) and Folder identifier (recordId). Supply the file in the request body. Specify the file name, upload title, file type, and file extension as query parameters. A checksum can be calculated using the SHA256 algorithm to guarantee integrity control using the checkSum parameter. Add multiple files by setting the boolean query parameter multipleFiles = true. For documents that require signatures, the parameter envelopeId tracks the signatures added to the document and which document version has all required signatures.

Path Params
string
required

Drawer (sidedrawer) identifier.

string
required

Unique Folder (record) identifier (if Item type is record).

Query Params
string

This is the unique name that the binary will have at SideDrawer Database it has to be unique. This is mandatory, and it can be set by the App. In order to do so, add the timestamp when EACH file is posted (YYMMDDHHMMSS_*), all timestamps for each file will be different.

string

An envelopeId is used to identify signatures added to a document. This allows for the changes/signatures to be tracked and the completed (or most complete) document to be identified.

string

A correlationId is a unique parameter specifying the upload details of a file. This is used to "group" files uploaded as part of the same process.

string

This is what should be listed in the "File History" list.

string

The front-end application will interpret (or ignore, in older versions) this parameter and display the file on screen using different versions of PDFTron. Based on that, the PDFTron widget will present the end user the ability to insert a signature, text fields, annotations, comments, or just preview the contents.

string
enum

Enum that determines what kind of file is being pushed.

Allowed:
string

Original extension of the file being uploaded.

string

Optional checksum calculated with the SHA256 algorithm. This guarantees integrity control over the uploaded file.

boolean

Set multipleFiles = true if you want to create multiple files.

Body Params

File to be uploaded.

file
required

File to be uploaded.

metadata
object

Additional key-value data. We recommend the use of ExternalKeys over this parameter as it is more flexible.

externalKeys
array of objects

Key-value pairs.

externalKeys
blocks
array

Blocks hashes.

blocks
recordFilesData
array of objects

If ?multipleFiles=true, input the files (recordFiles) data array.

recordFilesData
Response

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json